function [S, T] = LIML_ST (Omega, b_t, pi_t, pi_null, US, UT)
% This program computes the S and T statistics defined in (13.22) in
% "Supplental Material for "Estimation and Inference under Weak,
% Semi-strong, and Strong Identification' " by Donald W.K. Andrews and Xu
% Cheng.
% INPUTS:
% k is the number of IV
% b_t is the true value of the correlation parameter in the reduced-form eqn
% pi_t is the true parameter of the structural parameter
% pi_null is the null value of the structural parameter

b0 = [1,-pi_null]';
a = [pi_t,1]';
a0 = [pi_null,1]';

c_pi = (pi_t-pi_null)*(b0'*Omega*b0)^(-1/2);
d_pi = (a'*(Omega\a0))*(a0'*(Omega\a0))^(-1/2); % Omega\a0  = inv(Omeag)*a0

S = c_pi*b_t + US;
T = d_pi*b_t + UT;







