%This program generates data in Tables S-III and S_IV

%% Generate Data
%% If the finite-sample simulation results are generated when the
%% figures are plotted, this data-generating section can be skipped.
clear;clc;

m = 50000;
pi_H = 0.85;
rho_H = 0.9;

pV = [0,0.4,0.7];
nV = [100,250,500];

for i=1:3
    pi_true = pV(i);
    for j = 1:3;
        n = nV(j);
        MA_F(pi_true, n, m, pi_H,rho_H)
    end
end

pV2 = [0,0.4,0.8];
nV = [100,250,500];
for i=1:3
    rho_true = pV2(i);
    for j = 1:3;
        n = nV(j);
        AR_F(rho_true, n, m, pi_H,rho_H)
    end
end

%% Table S-III
MA_250 = zeros(3,7);
AR_250 = zeros(3,7);
for i = 1:3
    n = 250;
    pi_true =pV(i);    
    TN1 = round(pi_true*100);   
    load(sprintf('MA_F_%d_%d.mat',n,TN1));   
    cp = [covprob_F_abs(:,[1,2,6]), covprob_F_qlr(:,[1,2,6])];
    MA_250(i,:) = [pi_true, min(cp)];
    
    rho_true =pV2(i);    
    TN1 = round(rho_true*100);
    load(sprintf('AR_F_%d_%d.mat',n,TN1));
    cp = [covprob_F_abs(:,[1,2,6]), covprob_F_qlr(:,[1,2,6])];
    AR_250(i,:) = [rho_true, min(cp)];
end

Table_S3 = [MA_250; AR_250] ;

%% Table S-IV
MA_100 = zeros(3,7);
AR_100 = zeros(3,7);
for i = 1:3
    n = 100;
    pi_true =pV(i);    
    TN1 = round(pi_true*100);
    load(sprintf('MA_F_%d_%d.mat',n,TN1));
    cp = [covprob_F_abs(:,[1,2,6]), covprob_F_qlr(:,[1,2,6])];
    MA_100(i,:) = [pi_true, min(cp)];
    
    rho_true =pV2(i);    
    TN1 = round(rho_true*100);
    load(sprintf('AR_F_%d_%d.mat',n,TN1));
    cp = [covprob_F_abs(:,[1,2,6]), covprob_F_qlr(:,[1,2,6])];
    AR_100(i,:) = [rho_true, min(cp)];
end

MA_500 = zeros(3,7);
AR_500 = zeros(3,7);
for i = 1:3
    n = 500;
    pi_true =pV(i);    
    TN1 = round(pi_true*100);
    load(sprintf('MA_F_%d_%d.mat',n,TN1));
    cp = [covprob_F_abs(:,[1,2,6]), covprob_F_qlr(:,[1,2,6])];
    MA_500(i,:) = [pi_true, min(cp)];
    
    rho_true =pV2(i);    
    TN1 = round(rho_true*100);
    load(sprintf('AR_F_%d_%d.mat',n,TN1));
    cp = [covprob_F_abs(:,[1,2,6]), covprob_F_qlr(:,[1,2,6])];
    AR_500(i,:) = [rho_true, min(cp)];
end

Table_S4 = [MA_100; AR_100; MA_500; AR_500];

save('Tables_S3_S4.mat', 'Table_S3','Table_S4');
    


