function [Q D_beta]= cf_beta(Y_up, Y_lag, pow, beta,pi)
%This is the maximum likelihood sample criterion function for the ARMA(1,1) model when pi is
%fixed at a given value
%by Donald Andrews and Xu Cheng
%INPUTS: 
%Y_up, Y_lag, pow are vectors defined in MA_F.m
%beta is the argument of the function
%pi is fixed at a given value
%OUTPUT:
%value of the criterion function and the gradient

pi_pow = pi.^(pow-1); %[1,pi,..,pi^(n-1)];
Y_lag_pi = (pi_pow*Y_lag)';
resid = Y_up - beta*Y_lag_pi;
Q = resid'*resid;
D_beta = -2*resid'*Y_lag_pi;






