function [Q gradt]= cf_pi(Y_up, Y_lag, pow, pi, beta)
%This is the maximum likelihood sample criterion function for the ARMA(1,1) model when beta is
%fixed at a given value
%by Donald Andrews and Xu Cheng
%INPUTS: 
%Y_up, Y_lag, pow are vectors defined in MA_F.m
%pi is the argument of the function
%beta is fixed at a given value
%OUTPUT:
%value of the criterion function and the gradient

pi_pow = pi.^(pow-1); %[1,pi,..,pi^(n-1)];
Y_lag_pi = (pi_pow*Y_lag)';
resid = Y_up - beta*Y_lag_pi;
Q = resid'*resid;

p2=pow(2:end);
pi_pow_j = [0,(p2-1).*pi.^(p2-2)];
Y_der_pi = (pi_pow_j*Y_lag)';
D_pi = -2*beta*resid'*Y_der_pi;
gradt= D_pi;






