function [Q gradt]= cf_theta(Y_up, Y_lag, pow, theta)
%This is the unrestricted maximum likelihood sample criterion function for the ARMA(1,1) model
%by Donald Andrews and Xu Cheng
%INPUTS: 
%Y_up, Y_lag, pow are vectors defined in MA_F.m
%theta = [beta,pi] are arguments of the criterion function
%OUTPUT:
%value of the criterion function and the gradient

beta = theta(1);
pi =  theta(2);
pi_pow = pi.^(pow-1); %[1,pi,..,pi^(n-1];
Y_lag_pi = (pi_pow*Y_lag)';
resid = Y_up - beta*Y_lag_pi;
Q = resid'*resid;

D_beta = -2*resid'*Y_lag_pi;
p2=pow(2:end);
pi_pow_j = [0,(p2-1).*pi.^(p2-2)];
Y_der_pi = (pi_pow_j*Y_lag)';
D_pi = -2*beta*resid'*Y_der_pi;
gradt= [D_beta, D_pi];






