function ss = sfn(A,K,c,ind)
%This is the smooth-transition function used by the type 2 robust CI.
%by Donald Andrews and Xu Cheng
%INPUTS:
%A: identification-category-selection (ICS) statistic
%K: constant used in ICS
%c: constant in the smooth parametric function
%ind: parametric function used. 
% e.g., ind=1, s(x) = exp(-cx)
%       ind=2, s(x) = 1/(1+cx)
%       ind=3, s(x) = 1(x<=0)

a1 = A-K;
a1(a1<0)=0;
if ind == 1;
    ss = exp(-c*a1);
elseif ind==2
    ss = 1./(1+c*a1);
else 
    ss = (a1<=0);
end

ss(a1<=0)=1;
